routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'URLShortenerController@index_new')->name('home');
// Route::get('/new', 'URLShortenerController@index');

Route::post('/', 'URLShortenerController@doShort')->name('doshort');

Route::get('login', 'Auth\LoginController@showLoginForm')->name('login');
Route::post('login', 'Auth\LoginController@login')->name('login');

Route::get('logout', 'Auth\LoginController@logout');

Route::prefix('/admin')->name('admin.')->group(function () {
    Route::get('/dashboard', 'AdminController@index')->name('dashboard');
    Route::get('/shorturl', 'AdminController@shorturl')->name('shorturl');
    Route::post('/shorturl/update', 'AdminController@update_shorturl')->name('shorturl.update');
    Route::get('/shorturl/get', 'AdminController@shorturl_get')->name('shorturl.get');
    Route::get('/shorturl/get/chart/{year}', 'AdminController@shorturl_get_chart')->name('shorturl.get.chart');
    Route::get('/customurl', 'AdminController@customurl')->name('customurl');
    Route::post('/customurl/update', 'AdminController@update_customurl')->name('customurl.update');
    Route::get('/customurl/get', 'AdminController@customurl_get')->name('customurl.get');

    Route::get('/shorturl/delete/{id}', 'AdminController@delete_shorturl')->name('shorturl.delete');
    Route::get('/customurl/delete/{id}', 'AdminController@delete_customurl')->name('customurl.delete');

    //    Route::post('/update-data-custom', 'AdminController@update_customurl')->name('customurl.update');
});

//Route::get('/en/{next}', 'LocalizationController@set_en');
Route::get('/en', 'LocalizationController@set_en');
//Route::get('/id/{next}', 'LocalizationController@set_id');
Route::get('/id', 'LocalizationController@set_id');

// Route::get('/backup', 'URLShortenerController@doBackup');

Route::get('/{shorturl}', 'URLShortenerController@go_web_new');

Route::prefix('/api')->name('api.')->group(
    function () {
        Route::post('/create', 'URLShortenerController@doShort');
        Route::get('/go/{shorturl}', 'URLShortenerController@go_api');
        Route::get('/stats/short/{id}', 'StatsController@short_stats');
        Route::get('/stats/custom/{id}', 'StatsController@custom_stats');
    }
);

resources/views/pages/admin-dashboard.blade.php
@extends('layouts.app')

@section('content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                {{ __("Dashboard") }}
                <small>{{ __('Some info') }}</small>
            </h1>
            <ol class="breadcrumb">
                <li class="active"><i class="fa fa-tachometer-alt"></i> {{ __('Dashboard') }}</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content container-fluid">
            <div class="box">
                <div class="box-body">
                    <div class="row">
                        <div class="col-md-2"></div>
                        <div class="col-md-8">
                            <h1 class="text-center">
                                {{ __('History') }} | <select id="riwayatTahun" onchange="setCurrentYear(this.value)"></select>
                            </h1>

                            <div class="chart">
                                <!-- Sales Chart Canvas -->
                                <canvas id="urlChart" style="height: 400px;"></canvas>
                            </div>
                            <!-- /.chart-responsive -->
                        </div>
                        <!-- /.col -->
                    </div>
                    <div class="row">
                        <div class="col-lg-1"></div>
                        <div class="col-lg-3 col-xs-6">
                            <!-- small box -->
                            <div class="small-box bg-aqua">
                                <div class="inner">
                                    <h3>{{ \App\DataStatistik::query()->where('nama', 'shortlinkgenerate')->first()->nilai }}</h3>

                                    <p>{{ __("Short URLs") }}</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-link"></i>
                                </div>
                                <a href="{{ route('admin.shorturl') }}" class="small-box-footer">{{ __('More info') }}
                                    <i class="fa fa-arrow-circle-right"></i></a>
                            </div>
                        </div>
                        <div class="col-lg-3 col-xs-6">
                            <!-- small box -->
                            <div class="small-box bg-green-gradient">
                                <div class="inner">
                                    <h3>{{ \App\DataStatistik::query()->where('nama', 'shortlinkcustom')->first()->nilai }}</h3>

                                    <p>{{ __("Custom URLs") }}</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-link"></i>
                                </div>
                                <a href="{{ route('admin.customurl') }}" class="small-box-footer">{{ __('More info') }}
                                    <i class="fa fa-arrow-circle-right"></i></a>
                            </div>
                        </div>
                        <div class="col-lg-3 col-xs-6">
                            <!-- small box -->
                            <div class="small-box bg-navy">
                                <div class="inner">
                                    <h3>{{ \App\DataStatistik::query()->where('nama', 'shortlinkakses')->first()->nilai }}</h3>

                                    <p>{{ __("Accessed") }}</p>
                                </div>
                                <div class="icon">
                                    <i class="ion ion-link"></i>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection

@section('jsscript')
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0/dist/Chart.min.js"></script>
    <script>
        let selectRiwayatTahun = document.getElementById('riwayatTahun');
        let currentYear = new Date().getFullYear();
        let selectHTML = '';
        for (let i = currentYear; i >= 2018; i--) {
            selectHTML += '<option value="' + i + '">' + i + '</option>'
        }
        selectRiwayatTahun.innerHTML = selectHTML;
        let config = {
            type: 'line',
            data: {
                labels: ['{{ __('January') }}', '{{ __('February') }}', '{{ __('March') }}', '{{ __('April') }}', '{{ __('May') }}', '{{ __('June') }}', '{{ __('July') }}', '{{ __('August') }}', '{{ __('September') }}', '{{ __('October') }}', '{{ __('November') }}', '{{ __('December') }}'],
                datasets: [{
                    label: '{{ __('Short URL') }}',
                    data: [0,0,0,0,0,0,0,0,0,0,0,0],
                    backgroundColor: 'rgba(60,141,188,0.2)',
                    borderColor: 'rgba(60,141,188,0.8)',
                }, {
                    label: '{{ __('Custom URL') }}',
                    data: [0,0,0,0,0,0,0,0,0,0,0,0],
                    backgroundColor: 'rgba(1,222,0,0.2)',
                    borderColor: 'rgba(1,222,0,0.8)',
                }]
            },
            options: {
                animation: {
                    duration: 2000,
                },
                responsive: true,
            }
        };

        window.onload = function() {
            let context = document.getElementById('urlChart').getContext('2d');
            window.theChart = new Chart(context, config);
            updateData();
        };

        function setCurrentYear(year) {
            currentYear = year;
            updateData();
        }

        function updateData() {
            $.ajax(
                {
                    type: "GET",
                    url: '/admin/shorturl/get/chart/' + currentYear,
                    data: "",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    cache: true,
                    success: function (data) {
                        config.data.datasets[0].data = data.shorturl;
                        config.data.datasets[1].data = data.customurl;
                        window.theChart.update();
                    },

                    error: function (msg) {
                        alert(msg.responseText);
                    }
                });
        }
        let interval = setInterval(function() {
            updateData();
        }, 5000);
    </script>
@endsection

resources/views/pages/admin-shorturl.blade.php
@extends('layouts.app')

@section('content')
    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                {{ __('Short URLs') }}
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li class="active"><i class="fa fa-table"></i> {{ __('Short URLs') }}</li>
            </ol>
        </section>

        <div class="modal fade" id="viewEditModal">
            <div class="modal-dialog">
                <div class="modal-content">
                    <form action="" method="POST" id="formSection">
                        <div class="modal-header">
                            <button type="button" class="close" data-dismiss="modal"
                                    aria-label="Close">
                                <span aria-hidden="true">&times;</span></button>
                            <h4 class="modal-title" id="modalTitle"></h4>
                        </div>
                        <div class="modal-body">
                            <div class="form-group chart">
                                <canvas id="urlChart" style="height: 500px; width: 600px"></canvas>
                            </div>
                            <div class="form-group">
                                <label for="formTotalDiakses">{{ __('Accessed Total') }}</label>
                                <input type="number" class="form-control" id="formTotalDiakses"
                                       value="0">
                            </div>
                            @csrf
                            <input name="id" id="formID" value="" hidden>
                            <div class="form-group">
                                <label for="formURL">{{ __('URL') }}</label>
                                <input type="text" class="form-control" id="formURL"
                                       name="url" value="Loading ..."
                                       required>
                            </div>

                            <div class="form-group">
                                <label for="formShortURL">{{ __('Short URL') }}</label>
                                <input type="text" class="form-control" id="formShortURL"
                                       name="shorturl" minlength="3"
                                       value="Loading ..." required>
                            </div>

                            <div class="form-group" id="formDivCustomURL">
                                <label for="formCustomURL">{{ __('Custom URL') }}</label>
                                <input type="text" class="form-control" id="formCustomURL" value="Loading ...">
                            </div>

                            <div class="form-group" id="formDivUpdatedAt">
                                <label hidden>{{ date_default_timezone_set("Asia/Jakarta") }}</label>
                                <label for="formUpdatedAt">{{ __('Updated at') }}</label>
                                <input type="text" class="form-control" id="formUpdatedAt"
                                       name="updated_at" value="{{ date("Y-m-d H:i:s") }}"
                                       required>
                            </div>

                        </div>
                        <div class="modal-footer" id="formSubmit">
                            <button type="submit" class="btn btn-primary">{{ __('Update') }}</button>
                        </div>
                    </form>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal view edit-->

        <div class="modal fade" id="deleteModal">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"
                                aria-label="Close">
                            <span aria-hidden="true">&times;</span></button>
                        <h4 class="modal-title">{{ __('Are you sure?') }}</h4>
                    </div>
                    <div class="modal-body">
                        <p>{{ __('This data cannot be returned after being deleted. By deleting short link data, you will also <strong> delete custom links that have the same link </strong>.') }}</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-default pull-left"
                                data-dismiss="modal">{{ __('No, cancel') }}</button>
                        <a id="btnDelYes" class="right btn btn-primary" href="">{{ __('Sure, I understand') }}</a>
                    </div>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal delete -->

        <!-- Main content -->
        <section class="content container-fluid">
            <div class="box">
                <!-- /.box-header -->
                <div class="box-body table-responsive">
                    <table id="shorturl-table" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th>{{ __('No') }}</th>
                            <th class="hide-on-med-down">{{ __('URL') }}</th>
                            <th>{{ __('Short URL') }}</th>
                            <th>{{ __('Date') }}</th>
                            <th>{{ __('Option') }}</th>
                        </tr>
                        </thead>
                        <tbody id="tbl_body">
                        <tr>
                            <td colspan="5">Loading</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </section>
        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
@endsection

@section('jsscript')
    <script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.19/js/dataTables.bootstrap4.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/chart.js@2.8.0/dist/Chart.min.js"></script>
    <script>

        const arrSum = arr => arr.reduce((a,b) => a + b, 0);

        let config = {
            type: 'line',
            data: {
                labels: null,
                datasets: [{
                    label: '{{ __('Requests') }}',
                    data: null,
                    backgroundColor: 'rgba(60,141,188,0.2)',
                    borderColor: 'rgba(60,141,188,0.8)',
                }]
            },
            options: {
                animation: {
                    duration: 2000,
                },
                responsive: true,
            }
        };

        window.onload = function() {
            let context = document.getElementById('urlChart').getContext('2d');
            window.theChart = new Chart(context, config);
        };

        function updateData(id) {
            var sum_param;
            $.ajax(
                {
                    async: false,
                    type: "GET",
                    url: '/api/stats/short/' + id,
                    data: "",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    cache: false,
                    success: function (data) {
                        config.data.labels = Object.keys(data);
                        config.data.datasets[0].data = Object.values(data);
                        sum_param = Object.values(data);
                        window.theChart.update();
                    },

                    error: function (msg) {
                        alert(msg.responseText);
                    }
                });

            return arrSum(sum_param);
        }

        $(document).ready(function () {
            $.ajax(
                {
                    type: "GET",
                    url: '{{ route('admin.shorturl.get') }}',
                    data: "{}",
                    contentType: "application/json; charset=utf-8",
                    dataType: "json",
                    cache: true,
                    success: function (data) {
                        var trHTML;

                        $.each(data, function (i, item) {

                            trHTML += '<tr><td>' + (i + 1) + '</td>';
                            trHTML += '<td class="hide-on-med-down">' + item.url.substring(0,125) + '</td>';
                            trHTML += '<td>' + item.shorturl + '</td>';
                            trHTML += '<td>' + item.created_at + '</td>';
                            trHTML += '<td>' + '<button type="button" class="btn btn-primary" data-toggle="modal" ' +
                                'data-target="#viewEditModal" data-type="view" data-id="' + item.id + '" data-url="' + item.url + '" ' +
                                'data-shorturl="' + item.shorturl + '" data-customurl="' + item.customurl + '" data-updatedat="' + item.updated_at + '"><i class="fas fa-eye"></i></button>' +
                                '<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#viewEditModal" data-type="edit" data-id="' + item.id + '" data-url="' + item.url + '" data-shorturl="' + item.shorturl + '"><i class="fas fa-pencil-alt"></i></button>';
                            trHTML += '<button type="button" class="btn btn-danger" data-toggle="modal" data-target="#deleteModal" data-id="' + item.id + '"><i class="fas fa-trash-alt"></i></button>';
                            trHTML += '</td></tr>';
                        });
                        $('#tbl_body').empty().append(trHTML);
                        oTable = $('#shorturl-table').DataTable();
                    },

                    error: function (msg) {
                        alert(msg.responseText);
                    }
                });

            $('#viewEditModal').on('show.bs.modal', function (event) {
                var button = $(event.relatedTarget);
                var id = button.data('id');
                var url = button.data('url');
                var shorturl = button.data('shorturl');
                var type = button.data('type');
                var total = updateData(id);
                var modal = $(this);

                if (type === "edit") {
                    modal.find('#formDivUpdatedAt').attr('hidden', true);
                    modal.find('#formDivCustomURL').attr('hidden', true);
                    modal.find('#formSubmit').attr('hidden', false);
                    modal.find('#modalTitle').empty().append('Edit');
                    modal.find('#formID').attr('value', id);
                    modal.find('#formSection').attr('action', '{{ route('admin.shorturl.update') }}');
                } else {
                    modal.find('#formDivUpdatedAt').attr('hidden', false);
                    modal.find('#formDivCustomURL').attr('hidden', false);
                    modal.find('#formSubmit').attr('hidden', true);
                    modal.find('#modalTitle').empty().append('View');
                    var updated_at = button.data('updatedat');
                    var customurl = button.data('customurl');
                    if (customurl === "") {
                        customurl = "{{ __("No data.") }}";
                    } else {
                        customurl = customurl.substr(0, customurl.length - 1);
                    }
                    modal.find('#formUpdatedAt').attr('value', updated_at);
                    modal.find('#formCustomURL').attr('value', customurl);
                }
                modal.find('#formURL').attr('value', url);
                modal.find('#formShortURL').attr('value', shorturl);
                modal.find('#formTotalDiakses').attr('value', total);
            });

            $('#deleteModal').on('show.bs.modal', function (event) {
                var button = $(event.relatedTarget);
                var id = button.data('id');
                var modal = $(this);
                modal.find('#btnDelYes').attr('href', '/admin/shorturl/delete/' + id);
            });
        });
    </script>
@endsection

resources/views/pages/home-new.blade.php
@extends('layouts.master-new')
@section('klas-title')
    <title>{{ __('URL Shortener by Kelompok Linux Arek Suroboyo') }}</title>
@endsection
@section('klas-desc')
    <meta name="description"
        content="{{ __('Alat Pemendek Tautan yang dibuat dan dirawat oleh KLAS (Kelompok Linux Arek Suroboyo).') }}" />
@endsection
@section('klas-keywords')
    <meta name="keywords" content="{{ __('klas, url-shortener') }}"/>
@endsection
@section('klas-og-title')
    <meta property="og:title" content="{{ __('URL Shortener by Kelompok Linux Arek Suroboyo') }}">
    <meta property="twitter:title" content="{{ __('URL Shortener by Kelompok Linux Arek Suroboyo') }}">
@endsection
@section('klas-og-description')
    <meta property="og:description" content="{{ __('Alat Pemendek Tautan yang dibuat dan dirawat oleh KLAS (Kelompok Linux Arek Suroboyo).') }}">
@endsection
@section('klas-og-sitename')
    <meta property="og:site_name" content="{{ __('Pemendek URL KLAS') }}">
    <meta property="twitter:site" content="{{ __('Pemendek URL KLAS') }}">
@endsection
@section('klas-og-image')
    <meta property="og:image" content="{{ asset('img/sklas2.png') }}">
    <meta property="twitter:image" content="{{ asset('img/sklas2.png') }}">
@endsection
@section('content')
    @if(isset($error))
        <div class="alert alert-danger alert-dismissible fade show justify-content-center">
            <button type="button" class="close" data-dismiss="alert">&times;</button>
            <strong>{{ __('Error!') }}</strong> {{ __($error) }}
        </div>
        <div class="card shadow-sm">
            <div class="card-body bg-dark justify-content-center">{{ __('Make your short link here for free') }}
                <div class="row mt-2">
                    <div class="col-3 mx-auto">
                        <button type="submit" class="btn btn-primary" style="padding: 10px 16px 10px 16px"
                                onclick="window.location = '{{ url('/') }}';">{{ __('Create Now') }}</button>
                    </div>
                </div>
            </div>
        </div>
    @else
    <div class="col-sm-12 col-md-12 col-lg-7 offset-sm-0 offset-md-0 offset-lg-2 mt-4 mx-auto text-left home">
        <label for="formShortUrl" hidden>{{ __('Long URL Form') }}</label>
        <form id="formShortUrl" aria-label="URL Shortener">
            <div class="col my-4">
                <div class="card card-body p-0 m-0">
                    <div class="input-group">
                        <input type="url" class="form-control" id="urlform" name="url"
                               placeholder="{{ __('Write your long URL here ...') }}" required>
                        <div class="input-group-prepend">
                            <button class="btn btn-light" type="button" aria-expanded="false" id="clearBtn">
                                <i class="fas fa-times d-block d-lg-none"></i>
                                <span class="d-none d-lg-block">{{ __('Reset') }}</span>
                            </button>
                            <button class="btn btn-light" type="button" data-toggle="collapse" data-target="#customInputCollapse"
                                aria-expanded="false" aria-controls="customInputCollapse">
                                <i class="fas fa-wrench d-block d-lg-none"></i>
                                <span class="d-none d-lg-block">{{ __('Customize') }}</span>
                            </button>
                            <button type="submit" id="sendBtn" class="btn pl-4 pr-4 pt-0 pb-0 font-weight-bold">
                                <i class="fas fa-plus d-block d-lg-none"></i>{{ __('Create') }}
                            </button>
                        </div>
                    </div>
                </div>
                <div class="collapse" id="customInputCollapse">
                    <div class="card card-body">
                        <div class="row m-0 p-0 mt-2">
                            <div class="col m-0 p-0">
                                <label for="passwordInput">{{ __('Custom Link') }}</label>
                                <div class="input-group">
                                    <div class="input-group-prepend">
                                        <div class="input-group-text">https://s.klas.or.id/</div>
                                    </div>
                                    <input aria-label="Tautan Pendek Kustom" type="text" class="form-control" maxlength="25" name="customurl" id="customInput"
                                        minlength="4" placeholder="acara-keren (contoh)">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>
        <div class="collapse container" id="resultSection">
            <div class="card card-body m-0">
                <div class="row">
                    <div class="col m-0 align-self-center">
                        <p class="text-black-50 text-long-url m-0" id="textLongUrl">https://klas.or.id/</p>
                        <p class="text-short-url m-0"><a href="https://klas.or.id/" id="textShortUrl">https://klas.or.id/</a></p>
                        <button type="submit" class="btn btn-sm btn-block btn-outline-primary" id="copyBtn">
                            <i class="fa fa-clipboard pr-md-1"></i>
                            <span>{{ __('Copy') }}</span>
                        </button>
                    </div>
                    <div class="align-items-center col m-0">
                        <div class="row">
                            <div class="col m-0 align-items-center">
                                <img class="align-items-center" id="qrCodeImage" src="" alt="">
                            </div>
                        </div>
                        <div class="row" >
                            <div class="col m-0 align-self-end" id="sosmedBtn">
                                <button type="submit" class="btn btn-sm btn-block btn-outline-primary" id="dloadBtn">
                                    <i class="fa fa-download pr-md-1"></i>
                                    <span>{{ __('Download QR') }}</span>
                                </button>
                                <a id="sfacebook" target="_blank" href="https://facebook.com" class="sosmed fa fa-facebook"></a>                                
                                <a id="stwitter" target="_blank" href="https://twitter.com" class="sosmed fa fa-twitter"></a>
                                <a id="slinkedin" target="_blank" href="https://linkedin.com" class="sosmed fa fa-linkedin"></a>
                                <a id="swhatsapp" target="_blank" href="https://whatsapp.com" class="sosmed fa fa-whatsapp"></a>
                                <a id="stelegram" target="_blank" href="https://telegram.org" class="sosmed fa fa-telegram"></a>
                            </div>           
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @endif
@endsection
@section('jsscript')
    @if(isset($error))
        <script>$('.alert').alert()</script>
    @endif
@endsection

resources/views/pages/redirect.blade.php
@extends('layouts.master')
@section('content')
    <div class="card shadow-sm">
        <div class="card-body bg-light" id="timer" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">
            <div class="row"><div class="col text-primary font-weight-bold align-middle">{{ __('Redirecting...') }}</div><div class="col text-muted text-center align-middle hide-on-med-down">{{ __('Tap for details') }}</div><div class="col"><div class="spinner-border text-primary ml-auto float-right" role="status" aria-hidden="true"></div></div></div>
            <div class="collapse" id="collapseExample"><div class="card" style="margin-top: 2%;"><div class="card-body" style="padding: 10px 10px 10px"><div class="col">{{ $url }}</div></div></div></div>
        </div>
    </div>
@endsection
@section('jsscript')
    <script>let countDown = 1;let x = setInterval(function () {countDown--;if (countDown >= 0 && countDown <= 1) {document.getElementById("timer").innerHTML = '<div class="d-flex align-items-center">' + '<strong>{{ __('Opening page...') }}</strong>' + '<div class="spinner-border text-success ml-auto" role="status" aria-hidden="true"></div></div>' + '<div class="collapse" id="collapseExample">' + '<div class="card card-body" style="margin-top: 2%;">{{ $url }}</div></div>';}if (countDown <= 0) {clearInterval(x);window.location = "{{ $url }}";}}, 1000);</script>
@endsection